%define name		xanim-codecs
%define version		1.0
%define release		%mkrel 6
%define distsuffix plf

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	XAnim codecs binaries
License:	Commercial
Group:		System/Libraries
URL:		http://xanim.va.pubnix.com/xa_dlls.html
Source: http://www1.mplayerhq.hu/MPlayer/releases/codecs/xanimdlls-20040626.tar.bz2
Source1: http://www1.mplayerhq.hu/MPlayer/releases/codecs/xanimdlls-ppc-20040626.tar.bz2
Source2: http://www1.mplayerhq.hu/MPlayer/releases/codecs/xanimdlls-alpha-20061028.tar.bz2
Buildroot:	%{_tmppath}/%{name}-buildroot
ExclusiveArch: %ix86 ppc alpha

%description
This package contains XAnim codecs binaries.

This package is in PLF for it's closed source nature.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -c -T
%ifarch %{ix86}
%setup -q -T -D -a 0
%endif
%ifarch ppc
%setup -q -T -D -a 1
%endif
%ifarch alpha
%setup -q -T -D -a 2
%endif

%build

%install
rm -rf %buildroot
install -d -m 755 $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/xanim/mods
cp -a */* $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/xanim/mods

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%dir %{_prefix}/X11R6/lib/xanim/
%{_prefix}/X11R6/lib/xanim/mods

%changelog
* Wed May 14 2008 Gtz Waschk <goetz@zarb.org> 1.0-6plf2009.0
- update to the mplayer codec packs
- use mkrel

* Mon Dec 19 2005 Götz Waschk <goetz@zarb.org> 1.0-5plf
- Rebuild

* Mon Sep 20 2004 Gtz Waschk <goetz@zarb.org> 1.0-4plf
- quiet tar
- fix description

* Wed Jul 16 2003 Gtz Waschk <goetz@plf.zarb.org> 1.0-3plf
- fix dir ownership

* Tue Jul 30 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.0-2plf
- add symlinks for compatibility with MPlayer

* Sat Jul 27 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 1.0-1plf
- first plf release
